<script setup>
import { ref } from 'vue';

const awesome = ref(true);

function toggle() {
   awesome.value ? (awesome.value = false) : (awesome.value = true);
}
</script>

<template>
   <!-- Toggle display of a tag via a
   truthy/falsey toggle method     -->
   <div class="card">
      <div class="block card-header">
         <h2 class="card-header-title">Learning Module 4</h2>
      </div>
      <div class="block card-header">
         <h2 class="subtitle is-4">
            - Toggles the text based using a toggle method and v-if
            and v-else
         </h2>
         <br />
      </div>
      <div class="card-content">
         <button class="button is-primary is-large" @click="toggle">
            toggle
         </button>
         <hr />
         <h3 class="subtitle is-4" v-if="awesome">Vue is awesome!</h3>
         <h3 class="subtitle is-4" v-else>Oh no 😢</h3>
      </div>
   </div>
</template>
